tss2_createnv(1)

NAME

tss2_createnv(1) -

SYNOPSIS

tss2_createnv [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_createnv(1) - This command creates an NV index in the TPM.

OPTIONS

These are the available options:

•   -p, --path=STRING:

    Path of the new NV space.

    The path is composed of three elements, separated by “/”. An nvPath starts with “/nv”. The second path element identifies the NV handle range for the nv object. This includes the following values: Owner, TPM, Platform, Endorsement_Certificate, Platform_Certificate, Component_OEM, TPM_OEM, Platform_OEM, PC-Client, Server, Virtualized_Platform, MPWG, Embedded. The third path element identifies the actual NV-Index using a meaningful name.

•   -t, --type=STRING:

    Identifies the intended usage. Optional parameter. Types may be any comma-separated combination of:

        - "noda": Sets the noda attribute of a key or NV index.
        - "bitfield": Sets the NV type to bitfield.
        - "counter": Sets the NV type to counter.
        - "pcr": Sets the NV type to pcr-like behavior.
        - Hint: If none of the previous three keywords is provided a regular NV
          index is created.

•   -s, --size=INTEGER:

    The size in bytes of the NV index to be created. Can be omitted if size can be inferred from the type; e.g. an NV index of type counter has a size of 8 bytes.

•   -P, --policyPath=STRING:

    Identifies the policy to be associated with the new NV space. Optional parameter. If omitted then no policy will be associated with the key.

    A policyPath is composed of two elements, separated by “/”. A policyPath starts with “/policy”. The second path element identifies the policy or policy template using a meaningful name.

•   -a, --authValue=STRING:

    The new UTF-8 password. Optional parameter. If it is neglected then the user is queried interactively for a password. To set no password, this option should be used with the empty string (““). The maximum password size is determined by the digest size of the chosen name hash algorithm in the cryptographic profile (cf., fapi-profile(5)). For example, choosing SHA256 as hash algorithm, allows passwords of a maximum size of 32 characters.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLE

    tss2_createnv --authValue=abc --path=/nv/Owner/myNV --size=20 --type="noDa"

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)